<!DOCTYPE html>
<html>
<head>
<title> Task 13R Pizza 365</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<!-- Menu -->
<div class="container-fluid bg-light">
  <div class="row">
    <div class="col-sm-12">
      <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav nav-fill w-100">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#plans">Plans</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#about">About</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#contact">Contact</a>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
</div>

<!-- Content -->
<div class="container" style="padding: 120px 0 50px 0;">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <!-- Title row home -->
        <div class="col-sm-12">
          <h1><b><span style="color:green">Pizza 365</span></b></h1>
          <h3><i>New Pizza - New Way!</i></h3> 
        </div>

        <!-- Slide row home -->
        <div class="col-sm-12"> 
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_02.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Forth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Sixth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Seventh slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
        </div>

        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
        </div>

        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3 p-4 bg-success text-white border">
              <h3 class="p-2">Sạch</h3>
              <p class="p-2">Chúng tôi ưu tiên hàng đầu chọn nguyên liệu sạch để chế biến pizza.</p>
            </div>
            <div class="col-sm-3 p-4 bg-danger text-white border">
              <h3 class="p-2">Khẩu vị Italian</h3>
              <p class="p-2">Pizza 365 giữ nguyên công thức làm bánh truyền thống của Ý.</p>
            </div>
            <div class="col-sm-3 p-4 bg-info text-white border">
              <h3 class="p-2">Giá phải chăng</h3>
              <p class="p-2">Mong muốn tiếp cận với mọi đối tượng khách hàng.</p>
            </div>
            <div class="col-sm-3 p-4 bg-primary text-white border">
              <h3 class="p-2">Giao hàng nhanh chóng</h3>
              <p class="p-2">Chúng tôi có đội ngũ shipper riêng và rất chuyên nghiệp.</p>
            </div>
          </div>
        </div>
      </div>

      <div id="plans" class="row">
        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
          <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
        </div>
        <!-- Content what we offer -->
        <div class="col-sm-12"> <!--Menu button-->
          <div class="row">
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>S(small)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>20cm</b> Đường kính</li>
                    <li class="list-group-item"><b>2</b> Sườn nướng</li>
                    <li class="list-group-item"><b>200g</b> Salad</li>
                    <li class="list-group-item"><b>2</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b>150.000</b></h1> VND</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button id="btn-small-click" onclick="onBtnSmallClick()" class="btn btn-success" data-is-selected-menu="N">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-secondary text-white text-center">
                  <h3>M(medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>25cm</b> Đường kính</li>
                    <li class="list-group-item"><b>4</b> Sườn nướng</li>
                    <li class="list-group-item"><b>300g</b> Salad</li>
                    <li class="list-group-item"><b>3</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b>200.000</b></h1> VND</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button id="btn-medium-click" onclick="onBtnMediumClick()" class="btn btn-success" data-is-selected-menu="N">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header bg-dark text-white text-center">
                  <h3>L(large)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>30cm</b> Đường kính</li>
                    <li class="list-group-item"><b>8</b> Sườn nướng</li>
                    <li class="list-group-item"><b>500g</b> Salad</li>
                    <li class="list-group-item"><b>4</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b>250.000</b></h1> VND</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button id="btn-large-click" onclick="onBtnLargeClick()" class="btn btn-success" data-is-selected-menu="N">Chọn</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="about" class="row"> <!--Type pizza button-->
        <!-- Title Who We Are -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
        </div>

        <!-- Content Who We Are -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_ga.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>PIZZA GÀ</h3>
                  <p>Món ăn thanh đạm</p>
                  <p>Size SMALL vừa khẩu phần ăn cho 2 người.</p>
                  <p><button id="btn-pizza-ga" onclick="onBtnGaClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_hai_san.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>PIZZA HẢI SẢN</h3>
                  <p>Món ăn đến từ biển</p>
                  <p>Size MEDIUM vừa khẩu phần ăn cho 4 người.</p>
                  <p><button id="btn-pizza-hai-san" onclick="onBtnHaiSanClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>PIZZA THỊT NƯỚNG</h3>
                  <p>Món ăn đặt biệt</p>
                  <p>Size LARGE vừa khẩu phần ăn cho 8 người.</p>
                  <p><button id="btn-pizza-thit-nuong" onclick="onBtnThitNuongClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="contact" class="row">
        <!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
        </div>

        <!-- Content Contact Us -->
        <div class="col-sm-12 p-2 jumbotron">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="fullname">Họ và tên</label>
                <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="text" class="form-control" id="inp-email" placeholder="Email">
              </div>
              <div class="form-group">
                <label for="dien-thoai">Điện thoại</label>
                <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
              </div>
              <div class="form-group">
                <label for="dia-chi">Địa chỉ</label>
                <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
              </div>
              <div class="form-group">
                <label for="message">Lời nhắn</label>
                <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
              </div>
              <div class="form-group">
                <label for="message">Mã giảm giá (Voucher ID)</label>
                <input type="text" class="form-control" id="inp-voucher" placeholder="Voucher ID">
              </div>

              <button id="btn-kiem-tra-don" onclick="onKiemTraDonClick()" type="button" class="btn btn-success w-100">Kiểm tra đơn</button>
            </div>
          </div>
        </div>
        <!-- vùng hiển thị thông tin đơn hàng(order) -->
        <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none;">
          <div id="div-order-infor" class="text-white p-3">...</div>
          <div class="p-2">
            <button id="btn-gui-don" onclick="displayFinalOrderConsole()" type="button" class="btn btn-warning w-100">Gửi đơn</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Footer -->
<div class="container-fluid bg-light p-5">
  <div class="row text-center">
    <div class="col-sm-12">
      <h4 class="m-2">Footer</h4>
      <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
      <div class="m-2">
        <i class="fa fa-facebook-official w3-hover-opacity"></i>
        <i class="fa fa-instagram w3-hover-opacity"></i>
        <i class="fa fa-snapchat w3-hover-opacity"></i>
        <i class="fa fa-pinterest-p w3-hover-opacity"></i>
        <i class="fa fa-twitter w3-hover-opacity"></i>
        <i class="fa fa-linkedin w3-hover-opacity"></i>
      </div>
    </div>
  </div>
</div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
  // danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID:"A1", percentDiscount: 20 },   // mã giảm giá là A1, phần trăm giảm giá 20%
    { voucherID:"A2", percentDiscount: 10 },
    { voucherID:"A3", percentDiscount: 5 },
    { voucherID:"A4", percentDiscount: 30 },
    { voucherID:"A5", percentDiscount: 20 },
    { voucherID:"B1", percentDiscount: 25 },
    { voucherID:"B2", percentDiscount: 15 },
    { voucherID:"B3", percentDiscount: 5 },
    { voucherID:"B4", percentDiscount: 30 },
    { voucherID:"B5", percentDiscount: 40 }
  ];

  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  //global variable để lưu đơn hàng
  

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //function lấy thông tin combo được chọn
  function getMenu(paramMenu, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPrice){

    //tạo đối tượng menu được chọn
    var vMenuSelected = {
        menuName: paramMenu,
        duongKinhCM: paramDuongKinh,
        suonNuong: paramSuonNuong,
        saladGr: paramSalad,
        drink: paramDrink,
        price: paramPrice,

        displayInConsole(){
          console.log("%cTHÔNG TIN MENU ĐÃ CHỌN", "color:red");
          console.log("Loại menu: " + this.menuName);
          console.log("Đường kính (cm): " + this.duongKinhCM);
          console.log("Sườn nướng: " + this.suonNuong);
          console.log("Salad (gr): " + this.saladGr);
          console.log("Nước uống: " + this.drink);
          console.log("Giá (VND): " + this.price);
        }
    }
    return vMenuSelected;
  }

  //function lấy thông tin người mua từ web form
  function onKiemTraDonClick(){
    debugger;
    console.log("Nút kiểm tra vừa được bấm");
    //tạo đối tượng thông tin người mua
    var vOrderInfo = {
        menuDuocChon: null,
        loaiPizza: null,
        hoVaTen: "",
        email: "",
        dienThoai: "",
        diaChi: "",
        loiNhan: "",
        voucher: "",
        phanTramGiamGia: null,

        priceActualVND(){
          return (1 - this.phanTramGiamGia/100) * vPriceForCalculate
        }
    }
    console.log(vOrderInfo.menuDuocChon);
 
      //kiểm tra nút menu phải được bấm
    { var vSmallSellectedElement = document.getElementById("btn-small-click");
      var vMediumSelectedElement = document.getElementById("btn-medium-click");
      var vLargeSelectedElement = document.getElementById("btn-large-click");

      var vSmallDisplay = vSmallSellectedElement.getAttribute("data-is-selected-menu");
      var vMediumDisplay = vMediumSelectedElement.getAttribute("data-is-selected-menu");
      var vLargeDisplay = vLargeSelectedElement.getAttribute("data-is-selected-menu");

      if (vSmallDisplay == "Y"){
        vOrderInfo.menuDuocChon = "Small";
      }
      if (vMediumDisplay == "Y"){
        vOrderInfo.menuDuocChon = "Medium";
      }
      if (vLargeDisplay == "Y"){
        vOrderInfo.menuDuocChon = "Large";
      }
      if (vSmallDisplay == "N" && vMediumDisplay == "N" && vLargeDisplay == "N"){
        alert("Bạn chưa chọn menu!");
        console.log("chưa chọn menu");
        return false;
      }  
    }
    
    //kiểm tra nút loại pizza phải được bấm
    { var vGaSelectedElement = document.getElementById("btn-pizza-ga");
      var vHaiSanSelectedElement = document.getElementById("btn-pizza-hai-san");
      var vThitNuongSelectedElement = document.getElementById("btn-pizza-thit-nuong");

      var vGaDisplay = vGaSelectedElement.getAttribute("data-is-selected-pizza");
      var vHaiSanDisplay = vHaiSanSelectedElement.getAttribute("data-is-selected-pizza");
      var vThitNuongDisplay = vThitNuongSelectedElement.getAttribute("data-is-selected-pizza");

      if (vGaDisplay == "Y"){
        vOrderInfo.loaiPizza = "Pizza GÀ";
      }
      if (vHaiSanDisplay == "Y"){
        vOrderInfo.loaiPizza = "Pizza HẢI SẢN";
      }
      if (vThitNuongDisplay == "Y"){
        vOrderInfo.loaiPizza = "Pizza THỊT NƯỚNG";
      }  
      if (vGaDisplay == "N" && vHaiSanDisplay == "N" && vThitNuongDisplay == "N"){
        alert("Bạn chưa chọn loại pizza!");
        console.log("chưa chọn loại pizza");
        return false;
      }  
    }

    //đọc dữ liệu từ web form
      docDuLieu(vOrderInfo);

    //kiểm tra dữ liệu web form  
      var vKetQuaKtra = kiemTraDuLieu(vOrderInfo);

    //ghi thông tin đã kiểm tra lên web form
    { var vDivContainer = document.getElementById("div-container-order"); 
      var vDivSubjectInfo = document.getElementById("div-order-infor");
      if (vKetQuaKtra == true){
          vDivContainer.style.display = "block";
      }

      var vSelectedMenu = getMenu(null, null, null, null, null, null)  
      var vPriceForCalculate = "";     
      
      if (vSmallDisplay == "Y"){
        vSelectedMenu = getMenu("Small", 20, 2, 200, 2, 150000);
        
          vDivSubjectInfo.innerHTML = "Họ và tên: " + vOrderInfo.hoVaTen;
          vDivSubjectInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivSubjectInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.diaChi;
          vDivSubjectInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.loiNhan;
          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";

          vDivSubjectInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivSubjectInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.duongKinhCM;
          vDivSubjectInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.suonNuong;
          vDivSubjectInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.saladGr;
          vDivSubjectInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;

          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";
          vDivSubjectInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.loaiPizza;
          vDivSubjectInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivSubjectInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.price;
          vPriceForCalculate = vSelectedMenu.price;//gán giá trị thuộc tính price của đối tượng vOrderInfo
          vDivSubjectInfo.innerHTML += "<br/>Discount (%): " + vOrderInfo.phanTramGiamGia;
          vDivSubjectInfo.innerHTML += "<br/>Phải thanh toán VND: " + vOrderInfo.priceActualVND();
          
      }
      if (vMediumDisplay == "Y"){
        vSelectedMenu = getMenu("Medium", 25, 4, 300, 3, 200000);
          
          vDivSubjectInfo.innerHTML = "Họ và tên: " + vOrderInfo.hoVaTen;
          vDivSubjectInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivSubjectInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.diaChi;
          vDivSubjectInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.loiNhan;
          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";

          vDivSubjectInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivSubjectInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.duongKinhCM;
          vDivSubjectInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.suonNuong;
          vDivSubjectInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.saladGr;
          vDivSubjectInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;

          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";
          vDivSubjectInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.loaiPizza;
          vDivSubjectInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivSubjectInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.price;
          vPriceForCalculate = vSelectedMenu.price;//gán giá trị thuộc tính price của đối tượng vOrderInfo
          vDivSubjectInfo.innerHTML += "<br/>Discount (%): " + vOrderInfo.phanTramGiamGia;
          vDivSubjectInfo.innerHTML += "<br/>Phải thanh toán VND: " + vOrderInfo.priceActualVND();
          
      }
      if (vLargeDisplay == "Y"){
        vSelectedMenu = getMenu("Large", 30, 8, 500, 4, 250000);

          vDivSubjectInfo.innerHTML = "Họ và tên: " + vOrderInfo.hoVaTen;
          vDivSubjectInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivSubjectInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.diaChi;
          vDivSubjectInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.loiNhan;
          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";

          vDivSubjectInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivSubjectInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.duongKinhCM;
          vDivSubjectInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.suonNuong;
          vDivSubjectInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.saladGr;
          vDivSubjectInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;

          vDivSubjectInfo.innerHTML += "<br/>---------------------------------------------------";
          vDivSubjectInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.loaiPizza;
          vDivSubjectInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivSubjectInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.price;
          vPriceForCalculate = vSelectedMenu.price;//gán giá trị thuộc tính price của đối tượng vOrderInfo
          vDivSubjectInfo.innerHTML += "<br/>Discount (%): " + vOrderInfo.phanTramGiamGia;
          vDivSubjectInfo.innerHTML += "<br/>Phải thanh toán VND: " + vOrderInfo.priceActualVND();

      }
    }  
  }

  //function đọc dữ liệu người mua từ web form
  function docDuLieu(paramDuLieu){
    var vHoTen = document.getElementById("inp-fullname").value;
    var vEmail = document.getElementById("inp-email").value;
    var vDienThoai = document.getElementById("inp-dien-thoai").value;
    var vDiaChi = document.getElementById("inp-dia-chi").value;
    var vLoiNhan = document.getElementById("inp-message").value;
    var vVoucher = document.getElementById("inp-voucher").value;
    
    //gán dữ liệu từ html vào đối tượng vOrderInfo
    paramDuLieu.hoVaTen = vHoTen;
    paramDuLieu.email = vEmail;
    paramDuLieu.dienThoai = vDienThoai;
    paramDuLieu.diaChi = vDiaChi;
    paramDuLieu.loiNhan = vLoiNhan;
    paramDuLieu.voucher = vVoucher;

    //hiển thị loại voucher lên web form
    { var vIndex = 0;
      var vIsFound = false;
      while ( vIsFound == false && vIndex < gDiscountVouchers.length){
        if (gDiscountVouchers[vIndex].voucherID.match(paramDuLieu.voucher)){
            vIsFound = true;
        }
        else vIndex++;
      }
      //gán % giảm giá vào đối tượng vOrderInfo
      if (vIsFound == true){
        return paramDuLieu.phanTramGiamGia = gDiscountVouchers[vIndex].percentDiscount; 
      }
      if (vIsFound == false){
        alert("Voucher không tồn tại");
      }
    } 
  }

  //kiểm tra dữ liệu
  function kiemTraDuLieu(paramKiemTra){
    if (paramKiemTra.hoVaTen == ""){
        alert("chưa điền họ tên");
        return false;
    }
    if (kiemTraEmail(paramKiemTra.email) == false){
        return false;
    }
    if (paramKiemTra.dienThoai == ""){
        alert("chưa điền số điện thoại");
        return false;
    }
    if (isNaN(paramKiemTra.dienThoai) == true){
        alert("điện thoại phải điền dạng chữ số");
        return false;
    }
    if (paramKiemTra.diaChi == ""){
        alert("chưa điền địa chỉ");
        return false;
    }
    
    return true;
  }

  //function kiểm tra email
  function kiemTraEmail(paramEmail){
      if (paramEmail == ""){
        alert("chưa điền email");
        return false
      }
      if (paramEmail.indexOf("@") === -1){
        alert("email phải có @");
        return false;
      }
      if (paramEmail.startsWith("@") === true){
        alert("email phải có ký tự trước @");
        return false;
      }
      if (paramEmail.endsWith("@") === true){
        alert("email phải có ký tự sau @");
        return false;
      }
      if (paramEmail.indexOf(".") === -1){
        alert("email phải có dấu chấm");
        return false;
      }
      return true
    }

  //function hiện đơn hàng đã chốt vào console
  function displayFinalOrderConsole(){
      var vDivContainer = document.getElementById("div-container-order");
      console.log("%cTHÔNG TIN CHỐT ĐƠN", "color: green");
      console.log(vDivContainer.innerText);
  }  
        
//-------------THAO TÁC VỚI TYPE PIZZA BUTTONS-------------------------------------

  //function đổi màu loại pizza buttons 
  function changeTypePizzaButtonColor(paramColor){
    var vGaButtonElement = document.getElementById("btn-pizza-ga");
    var vHaiSanButtonElement = document.getElementById("btn-pizza-hai-san");
    var vThitNuongButtonElement = document.getElementById("btn-pizza-thit-nuong");
        
    if (paramColor === "Gà"){ //đổi màu button của small thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vGaButtonElement.className = "btn btn-warning";
      vGaButtonElement.setAttribute("data-is-selected-pizza","Y");

      vHaiSanButtonElement.className = "btn btn-success";
      vHaiSanButtonElement.setAttribute("data-is-selected-pizza","N");

      vThitNuongButtonElement.className = "btn btn-success";
      vThitNuongButtonElement.setAttribute("data-is-selected-pizza","N");
    }
    if (paramColor === "Hải sản"){//đổi màu button của medium thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vHaiSanButtonElement.className = "btn btn-warning";
      vHaiSanButtonElement.setAttribute("data-is-selected-pizza","Y");

      vThitNuongButtonElement.className = "btn btn-success";
      vThitNuongButtonElement.setAttribute("data-is-selected-pizza","N");

      vGaButtonElement.className = "btn btn-success";
      vGaButtonElement.setAttribute("data-is-selected-pizza","N");
    }
    if (paramColor === "Thịt nướng"){//đổi màu button của large thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vThitNuongButtonElement.className = "btn btn-warning";
      vThitNuongButtonElement.setAttribute("data-is-selected-pizza","Y");

      vHaiSanButtonElement.className = "btn btn-success";
      vHaiSanButtonElement.setAttribute("data-is-selected-pizza","N");

      vGaButtonElement.className = "btn btn-success";
      vGaButtonElement.setAttribute("data-is-selected-pizza","N");
    }
  }

  //function click pizza gà button
  function onBtnGaClick(){
    //đổi màu
    changeTypePizzaButtonColor("Gà");
    //ghi ra console
    console.log("%cLoại pizza: GÀ", "color: orange")

    return true;
  }

  //function click pizza hải sản button
  function onBtnHaiSanClick(){
    //đổi màu
    changeTypePizzaButtonColor("Hải sản");
    //ghi ra console
    console.log("%cLoại pizza: HẢI SẢN", "color: orange")

    return true;
  }

  //function click pizza thịt nướng button
  function onBtnThitNuongClick(){
    //đổi màu
    changeTypePizzaButtonColor("Thịt nướng");
    //ghi ra console
    console.log("%cLoại pizza: THỊT NƯỚNG", "color: orange")

    return true;
  }
  
//-------------THAO TÁC VỚI MENU BUTTONS-------------------------------------------

  //function hiện menu đã chọn ra console
  function displayMenuConsoleClick(paramMenu){
    if ( paramMenu == gCOMBO_SMALL){
      paramMenu = getMenu("Small", 20, 2, 200, 2, 150000);
      return paramMenu.displayInConsole();
    }
    if ( paramMenu == gCOMBO_MEDIUM){
      paramMenu = getMenu("Medium", 25, 4, 300, 3, 200000);
      return paramMenu.displayInConsole();
    }
    if ( paramMenu == gCOMBO_LARGE){
      paramMenu = getMenu("Large", 30, 8, 500, 4, 250000);
      return paramMenu.displayInConsole();
    }
  }
    
  //function đổi màu các menu buttons
  function changeMenuButtonColor(paramColor){
    var vSmallButtonElement = document.getElementById("btn-small-click");
    var vMediumButtonElement = document.getElementById("btn-medium-click");
    var vLargeButtonElement = document.getElementById("btn-large-click");
        
    if (paramColor === gCOMBO_SMALL){ //đổi màu button của small thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vSmallButtonElement.className = "btn btn-warning";
      vSmallButtonElement.setAttribute("data-is-selected-menu","Y");

      vMediumButtonElement.className = "btn btn-success";
      vMediumButtonElement.setAttribute("data-is-selected-menu","N");

      vLargeButtonElement.className = "btn btn-success";
      vLargeButtonElement.setAttribute("data-is-selected-menu","N");
    }
    if (paramColor === gCOMBO_MEDIUM){//đổi màu button của medium thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vMediumButtonElement.className = "btn btn-warning";
      vMediumButtonElement.setAttribute("data-is-selected-menu","Y");

      vSmallButtonElement.className = "btn btn-success";
      vSmallButtonElement.setAttribute("data-is-selected-menu","N");

      vLargeButtonElement.className = "btn btn-success";
      vLargeButtonElement.setAttribute("data-is-selected-menu","N");
    }
    if (paramColor === gCOMBO_LARGE){//đổi màu button của large thành vàng, 2 nút còn lại vẫn giữ màu xanh
      vLargeButtonElement.className = "btn btn-warning";
      vLargeButtonElement.setAttribute("data-is-selected-menu","Y");

      vSmallButtonElement.className = "btn btn-success";
      vSmallButtonElement.setAttribute("data-is-selected-menu","N");

      vMediumButtonElement.className = "btn btn-success";
      vMediumButtonElement.setAttribute("data-is-selected-menu","N");
    }
  }

  //function click small button
  function onBtnSmallClick(){
    //đổi màu
      changeMenuButtonColor(gCOMBO_SMALL);
    //hiện thị thông tin ra console
      displayMenuConsoleClick(gCOMBO_SMALL);
  }

  //function click medium button
  function onBtnMediumClick(){
    //đổi màu
      changeMenuButtonColor(gCOMBO_MEDIUM);
    //hiện thị thông tin ra console
      displayMenuConsoleClick(gCOMBO_MEDIUM);
  }

  //function click large button
  function onBtnLargeClick(){
    //đổi màu
      changeMenuButtonColor(gCOMBO_LARGE);
    //hiện thị thông tin ra console
      displayMenuConsoleClick(gCOMBO_LARGE);
  }

 
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

</script>
</html>
